UbixOS V2 2.0

Functions
time.c File Reference
`#include <ubixos/time.h>`
`#include <ubixos/vitals.h>`
`#include <lib/kprintf.h>`
`#include <assert.h>`
Include dependency graph for time.c:

Go to the source code of this file.

## Functions
int | gettimeofday (struct timeval *tp, struct timezone *tzp)
int | time_init ()
uint32_t | timeMake (struct timeStruct *time)

## Function Documentation

## ◆ gettimeofday()

int gettimeofday | ( | struct timeval * | tp,
|  | struct timezone * | tzp
| ) |  |

Definition at line 110 of file time.c.

References systemVitals, vitalsStruct::sysUptime, vitalsStruct::timeStart, timeval::tv_sec, timeval::tv_usec, timezone::tz_dsttime, and timezone::tz_minuteswest.

Referenced by sys_gettimeofday(), sys_init(), and sys_unix_now().

## ◆ time_init()

int time_init | ( |  | ) |

Definition at line 52 of file time.c.

## ◆ timeMake()

uint32_t timeMake | ( | struct timeStruct * | time | ) |

Definition at line 87 of file time.c.

References DAY, YEAR, and timeStruct::year.